import json
from log import Log

log_ = Log()

def parse_json_for_risk_rule(s: str) -> dict:
    """
    定时更新风险过滤的规则
    key=RISK_SHIELD_FILTER_RULE_V1_JSON
    value= "{\"VLOG\": [\"北京\"]}"
    """
    # 1 解析json格式，格式错误直接返回空字典。
    try:
        data = json.loads(s)
        data_new = {}
        for k, v in data.items():
            data_new[int(k)] = v
    except Exception as e:
        log_.error("{}: parse json is wrong with in parse_json_for_risk_rule:{}".format(e, s))
        return {}
    return data_new

def parse_json_for_risk_videos(s: str) -> list:
    """
    定时更新风险过滤的规则
    key = "RISK_SHIELD_FILTER_VIDEO_V1_STR"
    value = "7536230,1,2,3,4,5,6,7,8,9,10"
    """
    # 1 解析字符串，格式错误直接返回空list。
    try:
        data = s.split(",")
        data_new = [int(i) for i in data]
    except Exception as e:
        log_.error("{}: parse str is wrong with in parse_json_for_risk_videos:{}".format(e, s))
        return []
    return data_new